Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ssaglobal.generator
Class CommonsLogger

    java.lang.Object
      com.ssaglobal.generator.CommonsLogger

All Implemented Interfaces:
  GeneratorLog

    public class CommonsLogger

extends java.lang.Object
implements GeneratorLog

GeneratorLog for command line interface. Exceptions are written to the Apache commons-logging API.

Field Summary

Fields inherited from interface com.ssaglobal.generator.GeneratorLog
`DEBUG, ERROR, INFO, TRACE, WARN`

Constructor Summary
`CommonsLogger()`

Method Summary
`void` | `log(int severity, java.lang.Class source, org.eclipse.emf.ecore.EObject cause, java.lang.String message, java.lang.Exception ex)` Log a generator exception
`void` | `log(int severity, java.lang.Class source, org.eclipse.emf.ecore.EObject cause, java.lang.String message, java.lang.Exception ex, java.lang.String detailMessage)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonsLogger

    public CommonsLogger()

Method Detail

### log

    public void log(int severity,
                    java.lang.Class source,
                    org.eclipse.emf.ecore.EObject cause,
                    java.lang.String message,
                    java.lang.Exception ex)

  Description copied from interface: `GeneratorLog`
  Log a generator exception

  Specified by:
    `log` in interface `GeneratorLog`
  Parameters:
    `severity` - one of GeneratorLog.DEBUG, GeneratorLog.TRACE, GeneratorLog.INFO, GeneratorLog.WARN, GeneratorLog.ERROR
    `source` - the object within which the exception occurred, e.g., an instance of Generator or TemplateEngine.
    `cause` - the EObject that was being processed when the exception occurred
    `ex` - the exception to be logged

### log

    public void log(int severity,
                    java.lang.Class source,
                    org.eclipse.emf.ecore.EObject cause,
                    java.lang.String message,
                    java.lang.Exception ex,
                    java.lang.String detailMessage)

  Specified by:
    `log` in interface `GeneratorLog`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD